summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_html_graphs.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-02-28 00:47:40 +0100
committerHolger Levsen <holger@layer-acht.org>2015-02-28 00:47:40 +0100
commit6c7db75f9d47e4b2f63043080f158d0066a5472e (patch)
treec5d0f85debd9f797a4929b3e276b3a422e8d28f0 /bin/reproducible_html_graphs.sh
parenta08d05985b7d7fb2ccb2dd4492e01cf7bc08a7b5 (diff)
downloadjenkins.debian.net-6c7db75f9d47e4b2f63043080f158d0066a5472e.tar.xz
reproducible: band-aid bash code for sitations where no bugs exist for a given usertag at all
Diffstat (limited to 'bin/reproducible_html_graphs.sh')
-rwxr-xr-xbin/reproducible_html_graphs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_html_graphs.sh b/bin/reproducible_html_graphs.sh
index a203ece6..1c177726 100755
--- a/bin/reproducible_html_graphs.sh
+++ b/bin/reproducible_html_graphs.sh
@@ -232,7 +232,7 @@ write_usertag_table() {
let "TOPEN=TOPEN+VALUE"
else
write_page "<td>$VALUE</td>"
- let "TOTAL=TOTAL+VALUE"
+ let "TOTAL=TOTAL+VALUE" || true # let FOO=0+0 returns error in bash...
let "TDONE=TDONE+VALUE"
write_page "<td>$TOTAL</td></tr>"
let "TTOTAL=TTOTAL+TOTAL"